<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
/***************************************
* \brief xml_getgroup_infos.php
* 
* POSH group management - get group datas from name and parent id
*
* !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
**/

require_once('../includes/xml.inc.php');

$file=new xmlFile();
if (!isset($_REQUEST['groupname']) || !isset($_REQUEST['parent_id'])  ) {
    echo "<error><code>1</code><label>groupParamMissing</label></error>";
    exit;
}
$parent_id = $_REQUEST['parent_id'];
$groupname = $_REQUEST['groupname'];

$DB->getResults($isGroupName,
                        $DB->escape($parent_id),
                        $DB->quote($groupname)
                );

$row = $DB->fetch(0);
if ( isset( $row['id'] )) {
    $file->header("group");
    echo "<groupid>".$row['id']."</groupid>";
    $DB->freeResults();
    $file->footer();
} else {
    echo "<error><code>1</code><label>nogroup</label></error>";
    exit;
}
$DB->freeResults();

?>